Canvas5ImageInternal::VKFLShape Struct Reference documentation

Canvas5ImageInternal::VKFLShape Struct Reference

Internal: the internal shape of a Canvas5Image. More...

## Public Member Functions
| VKFLShape ()
| constructor

## Static Public Member Functions
static std::string | getTypeName (int type)

## Public Attributes
int | m_type
| the type
unsigned | m_subType
| the sub type
MWAWBox2f | m_box
| the dimension
std::map< int, long > | m_idToDataPos
| the map id(type) to data pos in the main zone
MWAWGraphicStyle | m_style
| the graphic style
std::vector< MWAWVec2f > | m_vertices
| the vertices: spline, poly, ...
float | m_locals [2]
| the local values : arc=>angles, rectOval=>oval size
MWAWEmbeddedObject | m_bitmap
| the bitmap
MWAWColor | m_bitmapColor
| the bitmap color
std::shared_ptr< Canvas5GraphInternal::PseudoShape > | m_special
| a graph pseudo box: special
std::shared_ptr< VKFLImage > | m_macoImage
| a macro image : special

## Detailed Description

Internal: the internal shape of a Canvas5Image.

## Constructor & Destructor Documentation

## ◆ VKFLShape()

Canvas5ImageInternal::VKFLShape::VKFLShape | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ getTypeName()

std::string Canvas5ImageInternal::VKFLShape::getTypeName | ( | int | type | ) |
| inlinestatic

Referenced by Canvas5Image::readVKFLShape(), and Canvas5Image::readVKFLShapeMainData().

## Member Data Documentation

## ◆ m_bitmap

MWAWEmbeddedObject Canvas5ImageInternal::VKFLShape::m_bitmap

the bitmap

Referenced by Canvas5Image::readVKFLShapeMainData(), and VKFLShape().

## ◆ m_bitmapColor

MWAWColor Canvas5ImageInternal::VKFLShape::m_bitmapColor

the bitmap color

Referenced by Canvas5Image::readVKFLShapeMainData(), and VKFLShape().

## ◆ m_box

MWAWBox2f Canvas5ImageInternal::VKFLShape::m_box

the dimension

Referenced by Canvas5Image::readVKFLShapeMainData(), and VKFLShape().

## ◆ m_idToDataPos

std::map<int, long> Canvas5ImageInternal::VKFLShape::m_idToDataPos

the map id(type) to data pos in the main zone

Referenced by VKFLShape().

## ◆ m_locals

float Canvas5ImageInternal::VKFLShape::m_locals[2]

the local values : arc=>angles, rectOval=>oval size

Referenced by Canvas5Image::readVKFLShapeMainData(), and VKFLShape().

## ◆ m_macoImage

std::shared_ptr<VKFLImage> Canvas5ImageInternal::VKFLShape::m_macoImage

a macro image : special

Referenced by Canvas5Image::readVKFLShapeMainData(), and VKFLShape().

## ◆ m_special

std::shared_ptr<Canvas5GraphInternal::PseudoShape> Canvas5ImageInternal::VKFLShape::m_special

a graph pseudo box: special

Referenced by Canvas5Image::readVKFLShapeMainData(), and VKFLShape().

## ◆ m_style

MWAWGraphicStyle Canvas5ImageInternal::VKFLShape::m_style

the graphic style

Referenced by VKFLShape().

## ◆ m_subType

unsigned Canvas5ImageInternal::VKFLShape::m_subType

the sub type

Referenced by Canvas5Image::readVKFLShapeMainData(), and VKFLShape().

## ◆ m_type

int Canvas5ImageInternal::VKFLShape::m_type

the type

Referenced by Canvas5Image::readVKFLShapeMainData(), and VKFLShape().

## ◆ m_vertices

std::vector<MWAWVec2f> Canvas5ImageInternal::VKFLShape::m_vertices

the vertices: spline, poly, ...

Referenced by Canvas5Image::readVKFLShapeMainData(), and VKFLShape().

The documentation for this struct was generated from the following file:

- Canvas5Image.cxx